;--------------------------------------------------------------------------------
; Pale Moon Portable Copyright© 2009-2023 Moonchild Productions & Mozilla Contributors
; Portable framework Copyright© winPenPack & contributors
; Launcher released under the terms and conditions of the winPenPack License Agreement 
; (see license.txt)
;--------------------------------------------------------------------------------
[Version]
Ini Author=Moonchild Straver
Ini Revision=32
Ini Date=28/11/2023
Ini Locale=en
Software=Pale Moon
Soft.Version=32.5.1
Web=http://www.palemoon.org/
Launcher=2.1
System=

[Group]
Category=
Sub Category=
License=Freeware
;--------------------------------------------------------------------------------

[Setup]
AppName=Palemoon
Profile=Default

[FileToRun]
PathToExe=$Bin$\$AppName$\$AppName$.exe
Parameters=-profile "%MOZ_PROFILE_PATH%"

[Environment]
;(multiple istances)
MOZ_NO_REMOTE=1

;(profile path)
MOZ_PROFILE_PATH=$Home$\$AppName$\Profiles\$Profile$

;(plugins path)
MOZILLA_PLUGINS=$Lib$\Mozilla\Plugins
JAVA_PLUGINS=$Lib$\Java\bin\new_plugin
MOZ_PLUGIN_PATH=%MOZILLA_PLUGINS%;%JAVA_PLUGINS%

[Functions]
DirCreate=%MOZILLA_PLUGINS%|$Download$|$Backup$\$AppName$

[RunAfter]
;(make password backups)
FileCopy=%MOZ_PROFILE_PATH%\key4.db|$Backup$\$AppName$|o
FileCopy=%MOZ_PROFILE_PATH%\signons.sqlite|$Backup$\$AppName$|o
FileCopy=%MOZ_PROFILE_PATH%\logins.json|$Backup$\$AppName$|o

;(make bookmark backups)
DirCopy=%MOZ_PROFILE_PATH%\bookmarkbackups|$Backup$\$AppName$|o

; ========================================
; 		** Override preferences **
; ========================================
[WriteToPref=%MOZ_PROFILE_PATH%\user.js]
Format=user_pref("[PREF]", [VALUE]);

;(cache)
browser.cache.disk.parent_directory=%MOZ_PROFILE_PATH%|\\"
browser.cache.disk.enable=false

;(add-ons)
plugin.expose_full_path=true
extensions.enabledScopes=5

;(downloads)
browser.download.useDownloadDir=false
browser.download.manager.retention=1
browser.download.lastDir=$Download$|\\"

;(shell service)
browser.shell.checkDefaultBrowser=false

;(jumplists)
browser.taskbar.lists.enabled=false

;(automatic updates)
app.update.auto=false
app.update.enabled=false

; ========================================
; 		** Global preferences **
; ========================================
[WriteToPref=$ExeDir$\browserconfig.properties]
Format=[PREF]=[VALUE]

;(first run homepage)
browser.startup.homepage=http://start.palemoon.org

[Options]
DeleteTemp=true
MultipleInstances=true
RunWait=true
ShowSplash=true
WriteLog=false

[SplashScreen]
Image=$Lib$\portable_splash_2019.jpg
Title=Pale Moon Portable
TimeOut=2000
